using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability373.Domain;

public class TaobaoJuItemsSearchItems
{

    /*
        卖点描述
    */
    private IList<string>? uspDescList;


    /*
        淘宝类目id
    */
    private long? tbFirstCatId;


    /*
        原价
    */
    private string? origPrice;


    /*
        itemId
    */
    private long? itemId;


    /*
        展示结束时间
    */
    private long? showEndTime;


    /*
        pc链接
    */
    private string? pcUrl;


    /*
        频道id
    */
    private long? platformId;


    /*
        聚划算id
    */
    private long? juId;


    /*
        无线主图
    */
    private string? picUrlForWL;


    /*
        开团时间
    */
    private long? onlineStartTime;


    /*
        类目名称
    */
    private string? categoryName;


    /*
        聚划算价格，单位分
    */
    private string? actPrice;


    /*
        商品标题
    */
    private string? title;


    /*
        无线链接
    */
    private string? wapUrl;


    /*
        商品卖点
    */
    private IList<string>? itemUspList;


    /*
        开始展示时间
    */
    private long? showStartTime;


    /*
        开团结束时间
    */
    private long? onlineEndTime;


    /*
        pc主图
    */
    private string? picUrlForPC;


    /*
        价格卖点
    */
    private IList<string>? priceUspList;


    /*
        是否包邮
    */
    private bool? payPostage;



    [JsonPropertyName("usp_desc_list")]
    public IList<string>? UspDescList
    {
        get => uspDescList;
        set => this.uspDescList = value;
    }

    [JsonPropertyName("tb_first_cat_id")]
    public long? TbFirstCatId
    {
        get => tbFirstCatId;
        set => this.tbFirstCatId = value;
    }

    [JsonPropertyName("orig_price")]
    public string? OrigPrice
    {
        get => origPrice;
        set => this.origPrice = value;
    }

    [JsonPropertyName("item_id")]
    public long? ItemId
    {
        get => itemId;
        set => this.itemId = value;
    }

    [JsonPropertyName("show_end_time")]
    public long? ShowEndTime
    {
        get => showEndTime;
        set => this.showEndTime = value;
    }

    [JsonPropertyName("pc_url")]
    public string? PcUrl
    {
        get => pcUrl;
        set => this.pcUrl = value;
    }

    [JsonPropertyName("platform_id")]
    public long? PlatformId
    {
        get => platformId;
        set => this.platformId = value;
    }

    [JsonPropertyName("ju_id")]
    public long? JuId
    {
        get => juId;
        set => this.juId = value;
    }

    [JsonPropertyName("pic_url_for_w_l")]
    public string? PicUrlForWL
    {
        get => picUrlForWL;
        set => this.picUrlForWL = value;
    }

    [JsonPropertyName("online_start_time")]
    public long? OnlineStartTime
    {
        get => onlineStartTime;
        set => this.onlineStartTime = value;
    }

    [JsonPropertyName("category_name")]
    public string? CategoryName
    {
        get => categoryName;
        set => this.categoryName = value;
    }

    [JsonPropertyName("act_price")]
    public string? ActPrice
    {
        get => actPrice;
        set => this.actPrice = value;
    }

    [JsonPropertyName("title")]
    public string? Title
    {
        get => title;
        set => this.title = value;
    }

    [JsonPropertyName("wap_url")]
    public string? WapUrl
    {
        get => wapUrl;
        set => this.wapUrl = value;
    }

    [JsonPropertyName("item_usp_list")]
    public IList<string>? ItemUspList
    {
        get => itemUspList;
        set => this.itemUspList = value;
    }

    [JsonPropertyName("show_start_time")]
    public long? ShowStartTime
    {
        get => showStartTime;
        set => this.showStartTime = value;
    }

    [JsonPropertyName("online_end_time")]
    public long? OnlineEndTime
    {
        get => onlineEndTime;
        set => this.onlineEndTime = value;
    }

    [JsonPropertyName("pic_url_for_p_c")]
    public string? PicUrlForPC
    {
        get => picUrlForPC;
        set => this.picUrlForPC = value;
    }

    [JsonPropertyName("price_usp_list")]
    public IList<string>? PriceUspList
    {
        get => priceUspList;
        set => this.priceUspList = value;
    }

    [JsonPropertyName("pay_postage")]
    public bool? PayPostage
    {
        get => payPostage;
        set => this.payPostage = value;
    }

}

